List available top-level domains (TLDs) and their product IDs

Retrieve a list of all available top-level domains (TLDs) offered, along with their product IDs. This information is required to initiate a new domain order via POST /api/create-order.

Domain Services Domains

Context

Workflow links

Produces

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.tlds array<object> required · Example: [{"tld":".se","productId":"203"},{"tld":".com","productId":"123"}]
data.tlds[].productId string required · Example: 203
data.tlds[].tld string · enum required · Example: .se
.com
.eu
.net
.nu
.se
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domain-products
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-products" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "tlds": [
      {
        "tld": ".se",
        "productId": "203"
      },
      {
        "tld": ".com",
        "productId": "123"
      },
      {
        "_truncated": "... and 1685 more items"
      }
    ]
  }
}